%define module	Image-Base
%define name	perl-%{module}
%define version	1.07
%define release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/S/SU/SUMMER/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildarch:	noarch

%description
Base class for loading, manipulating and saving images.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog
* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-4mdk 
- fix directory ownership (distlint)
- make test

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-3mdk 
- rpmbuildupdate aware

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.07-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.07-1mdk
- first mdk release
